Acceptor (Apache Tomcat 11.0.5 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: Acceptor

# Class Acceptor<U>

java.lang.Object
org.apache.tomcat.util.net.Acceptor<U>

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `Nio2Endpoint.Nio2Acceptor`

public class Acceptor<U> extends Object implements Runnable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Acceptor.AcceptorState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Acceptor.AcceptorState`
  `state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Acceptor(AbstractEndpoint<?,U> endpoint)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Acceptor.AcceptorState`
  `getState()`
  `protected int`
  `handleExceptionWithDelay(int currentErrorDelay)`
  Handles exceptions where a delay is required to prevent a Thread from entering a tight loop which will consume CPU and may also trigger large amounts of logging.
  `void`
  `run()`
  `void`
  `stopMillis(int waitMilliseconds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### state

    protected volatile Acceptor.AcceptorState state

- ## Constructor Details

  - ### Acceptor

    public Acceptor(AbstractEndpoint<?,U> endpoint)

- ## Method Details

  - ### getState

    public final Acceptor.AcceptorState getState()

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### stopMillis

    public void stopMillis(int waitMilliseconds)

  - ### handleExceptionWithDelay

    protected int handleExceptionWithDelay(int currentErrorDelay)
    Handles exceptions where a delay is required to prevent a Thread from entering a tight loop which will consume CPU and may also trigger large amounts of logging. For example, this can happen if the ulimit for open files is reached.
    Parameters:
      `currentErrorDelay` - The current delay being applied on failure
    Returns:
      The delay to apply on the next failure